package info.aspirecn.iov.sjjh.supplier10000039.util;

import org.apache.commons.lang3.StringUtils;

import info.aspirecn.iov.sjjh.supplier10000039.vo.UserLiveRequestObject;
import info.aspirecn.iov.sjjh.supplier10000039.vo.VoucherLiveRequestObject;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class CheckUtils {

    public static boolean checkUserParam(UserLiveRequestObject jsonResolveObject ){
        if (StringUtils.isBlank(jsonResolveObject.getReqID())) {
            log.info("reqId为空:{}",jsonResolveObject);
            return true;
        } 
        return false;
    }
    
    public static boolean checkVoucherParam(VoucherLiveRequestObject jsonResolveObject ){
        if (StringUtils.isBlank(jsonResolveObject.getReqID())||StringUtils.isBlank(jsonResolveObject.getAppeIdCode())||StringUtils.isBlank(jsonResolveObject.getEidVoucher())) {
            log.info("参数为空:{}",jsonResolveObject);
            return true;
        } 
        return false;
    }
}
